org.eclipse.emf.cdo.server.db

## Interface IDBStore.TableVisitor

- Enclosing interface:
    IDBStore

      public static interface IDBStore.TableVisitor

  Called back from `IDBStore.visitAllTables(Connection, TableVisitor)` for all tables in the database.
  Since:
    4.2
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `visitTable(java.sql.Connection connection, java.lang.String name)`

- - ### Method Detail

    - #### visitTable

          void visitTable(java.sql.Connection connection,
                          java.lang.String name)
                   throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html